Public Class Rekening
    Private m_nummer As Integer
    Private m_saldo As Integer
    Private m_creatiedatum As Date

    'Public Sub New()

    'nummer = 0
    'saldo = 0
    'creatiedatum = "00-00-00"

    'End Sub ' New

    ' constructor
    Public Sub New(ByVal nummerValue As Integer, _
         ByVal saldoValue As Integer, ByVal creatiedatumValue As Date)

        nummer = nummerValue
        saldo = saldoValue
        creatiedatum = creatiedatumValue

    End Sub ' New

    Public Property nummer() As Integer
        Get
            Return m_nummer
        End Get
        Set(ByVal Value As Integer)
            m_nummer = Value
        End Set
    End Property
    Public Property saldo() As Integer
        Get
            Return m_saldo
        End Get
        Set(ByVal Value As Integer)
            m_saldo = Value
        End Set
    End Property
    Public Property creatiedatum() As Date
        Get
            Return m_creatiedatum
        End Get
        Set(ByVal Value As Date)
            m_creatiedatum = Value
        End Set
    End Property

    Public Overridable Function Afbeelden()
        Return "[" & m_nummer & ", " & m_saldo & "," & m_creatiedatum & "]"
    End Function

End Class
